<template>
  <div>
    <h1>מועדים חשובים</h1>
    <v-list class="overflow-y-auto color mt-3" height="40vh" width="13vw" id="eventsList">
      <h3
        class="textColor mb-3"
        v-for="holiday in monthlyHolidays"
        :key="holiday.name"
      >
        {{ holiday.name }} - {{ holiday.date.toLocaleDateString("en-GB") }}
      </h3>
    </v-list>
  </div>
</template>

<script>
export default {
  props: {
    currMonth: { type: Number, required: true },
    holidays: { type: Array, required: true }
  },
  computed: {
    monthlyHolidays() {
      return this.holidays.filter(
        holiday => holiday.date.getMonth() === this.currMonth
      );
    }
  }
};
</script>

<style>
h1 {
  color: #38919b;
}

h3 {
  color: #1f6269 !important;
  opacity: 100 !important;
}

#eventsList{
background-color: #dfeeea;
  opacity: 0.95;
}
</style>
